Get compounding reasons
curl --request GET \
--url https://api.byblend.com/api/v1/reasons \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.byblend.com/api/v1/reasons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.byblend.com/api/v1/reasons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"created_at": "2025-03-15T12:00:00Z",
"updated_at": "2025-03-15T12:00:00Z",
"name": "Adherence or Compliance",
"description": "Issues related to patient adherence and medication compliance.",
"is_global": true,
"parent_id": null,
"subcategories": [
{
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"created_at": "2025-03-15T12:00:00Z",
"updated_at": "2025-03-15T12:00:00Z",
"name": "Behavioral Issues",
"description": "Patient refuses the commercial medication (e.g., children, pets, individuals with cognitive impairment).",
"parent_id": "00000000-0000-0000-0000-000000000101",
"is_global": false
}
]
}
]Orders
Get compounding reasons
Retrieve all compounding reasons.
GET
/
api
/
v1
/
reasons
Get compounding reasons
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Optional filter to only return global ("global") or customer-specific ("customer") reasons
Example:
"customer"
Response
200 - application/json
Successful response with all compounding reasons.
Unique identifier
Example:
"0227d1e5-ba9a-42b5-8fe2-38882aa65708"
Date and time of creation
Example:
"2025-03-15T12:00:00Z"
Date and time of last update
Example:
"2025-03-15T12:00:00Z"
Example:
"Adherence or Compliance"
Example:
"Issues related to patient adherence and medication compliance."
Whether the reason is a global reason (provided by Blend) or a customer-specific reason.
Example:
true
UUID of the parent reason, or null if this is a top-level reason.
Example:
null
Show child attributes
Show child attributes